/// created by ricpe13 ///
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int b[n][3];

    for (int i=0;i<n-1;i++){
        for (int j=0;j<3;j++){
            cin >> b[i][j];
        }
    }
    cout << "3" << endl;
    return 0;
}